%define name gnome-shell
%define version 2.29.1
%define release %mkrel 6

Summary: Next generation GNOME desktop shell
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-shell-session
# different fix for https://bugzilla.gnome.org/show_bug.cgi?id=573413
Patch0: gnome-shell-2.29.0-fix-xulrunner-libdir.patch
License: GPLv2+ and LGPLv2+
Group: Graphical desktop/GNOME
Url: http://live.gnome.org/GnomeShell
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mutter-devel >= 2.28.0
BuildRequires: gjs-devel >= 0.6
BuildRequires: libgstreamer-plugins-base-devel >= 0.10.16
BuildRequires: clutter-gtk-devel
BuildRequires: librsvg-devel
BuildRequires: gnome-menus-devel
BuildRequires: dbus-glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gir-repository
BuildRequires: intltool
Requires: mutter
Requires: gjs
Requires: gir-repository
Requires: glxinfo
Requires: gnome-session
BuildRequires: xulrunner-devel
%{?xulrunner_libname:Requires: %xulrunner_libname}

%description
The GNOME Shell redefines user interactions with the GNOME desktop. In
particular, it offers new paradigms for launching applications,
accessing documents, and organizing open windows in GNOME. Later, it
will introduce a new applets eco-system and offer new solutions for
other desktop features, such as notifications and contacts
management. The GNOME Shell is intended to replace functions handled
by the GNOME Panel and by the window manager in previous versions of
GNOME. The GNOME Shell has rich visual effects enabled by new
graphical technologies.


%prep
%setup -q
%apply_patches
sed -i "s^xXULRUNNERDIRx^%xulrunner_mozappdir^" src/gnome-shell.in

%build
#gw else it does not find libmozjs.so
export LD_LIBRARY_PATH=%xulrunner_mozappdir
%configure2_5x --enable-compile-warnings=no \
 --disable-static 
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name

mkdir -p %{buildroot}/%{_datadir}/gnome-shell/xdg-override/autostart
cp -f %{buildroot}/%{_datadir}/applications/gnome-shell.desktop %{buildroot}/%{_datadir}/gnome-shell/xdg-override/autostart

install -m 755 %{SOURCE1} %{buildroot}/%{_datadir}/gnome-shell/

# wmsession session file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/11GNOME3
NAME=GNOME 3 Preview
ICON=gnome-logo-icon-transparent.png
DESC=GNOME Environment
EXEC=%{_datadir}/gnome-shell/gnome-shell-session
SCRIPT:
exec %{_datadir}/gnome-shell/gnome-shell-session
EOF


%clean
rm -rf %{buildroot}

%define schemas gnome-shell

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %schemas
%endif

%preun
%preun_uninstall_gconf_schemas %schemas


%files -f %name.lang
%defattr(-,root,root)
%doc README 
%_sysconfdir/gconf/schemas/gnome-shell.schemas
%_sysconfdir/X11/wmsession.d/*
%_bindir/%name
%_libdir/%name
%_libdir/mutter/plugins/libgnome-shell.la
%_libdir/mutter/plugins/libgnome-shell.so
%_datadir/applications/%name.desktop
%_datadir/%name
%_mandir/man1/%name.1*


%changelog
* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-6mdv2010.1
+ Revision: 549373
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 2.29.1-5mdv2010.1
+ Revision: 531046
- rebuild for new xulrunner

* Fri Apr 02 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-4mdv2010.1
+ Revision: 530777
- Remove old suggests, not needed anymore

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-3mdv2010.1
+ Revision: 530413
- requires gnome-session for session management (and integration in display manager)

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 527081
- rebuild for new xulrunner

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 526922
- new version
- drop patches 1,2

* Sat Mar 20 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-3mdv2010.1
+ Revision: 525522
- fix build with new gjs (bug #58274)
- replace patch 1 by upstream version

  + Frederic Crozat <fcrozat@mandriva.com>
    - ensure there is no post by default

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-2mdv2010.1
+ Revision: 524312
- Source1: add support to select GNOME-Shell in display managers, as GNOME 3 Preview (idea from SUSE)

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-1mdv2010.1
+ Revision: 510279
- new version
- fix build
- fix setting of the LD_LIBRARY_PATH for xulrunner

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-4mdv2010.1
+ Revision: 506609
- disable Werror to make it build

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.28.0-3mdv2010.1
+ Revision: 499977
- requires glxinfo instead of mesa-demos

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 490657
- rebuild for new libgnome-desktop

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456027
- new version
- update deps

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 443455
- new version

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 432058
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 422175
- new version
- update deps
- add translations

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-4mdv2010.0
+ Revision: 417151
- add missing dep on glxinfo

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-3mdv2010.0
+ Revision: 415271
- remove devel deps again

* Wed Aug 12 2009 Michael Scherer <misc@mandriva.org> 2.27.0-2mdv2010.0
+ Revision: 415259
- add missing requires and suggest

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 414732
- import gnome-shell


* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
- initial package
